BizKitHub
DocsAPI ReferenceDrive/bff/drive/name-conflicts
postDriveAdmin BFF

/bff/drive/name-conflicts

Which file names already exist in the target folder (case-insensitive).

DrivepostBffDriveName-conflicts

Parameters

JSON body

Request body

application/json
pathstringOptional
filenamesstring[]Required

Response schema

1 status code documented

200Success
conflictsobject[]Required
Each array item:
filenamestringRequired
idstringRequired

Response example

application/json
{
  "conflicts": [
    {
      "filename": "example_filename",
      "id": "example_id"
    }
  ]
}

Request example

POST /bff/drive/name-conflicts

post
curl -X POST "https://api.bizkithub.com/bff/drive/name-conflicts" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "path": "example_path",
  "filenames": [
    "string"
  ]
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key